=== debian/changelog ===
gkrellm (2.2.10-1) unstable; urgency=low

  * New upstream release (Closes: #407154)
  * Add patches to fix that configure script is unable to detect libgnutls.
  * --without-ssl, prefer GNUTLS over OpenSSL (see #337728).
  * --without-libsensors, force using /sysfs for safety.
  * Add information about battery monitor for Powerbook/iBook (Closes: #383753)

 -- Cai Qian <caiqian@debian.org>  Thu, 15 Feb 2007 16:42:45 +0800

gkrellm (2.2.9-1) unstable; urgency=low

  * New upstream release (fixed segfault on battery plugin)

 -- Cai Qian <caiqian@debian.org>  Tue, 03 Apr 2006 11:16:00 +0100

gkrellm (2.2.8-1) unstable; urgency=low

  * New upstream release (Closes: #357773, #347235, #335688, #341250,
    #335248)

 -- Cai Qian <caiqian@debian.org>  Thu, 30 Mar 2006 23:15:00 +0100

gkrellm (2.2.7-9) unstable; urgency=low

  * debian/control: provides gkrellm-common. (Closes: #352561)

 -- Cai Qian <caiqian@debian.org>  Sun, 12 Feb 2006 21:50:00 +0000	

gkrellm (2.2.7-8) unstable; urgency=low

  * debian/rules: fixed broken LOCALEDIR. (Closes: #351613)
  * upstream Changelog renamed to changelog 

 -- Cai Qian <caiqian@debian.org>  Mon, 6 Feb 2006 18:32:00 +0000

gkrellm (2.2.7-7) unstable; urgency=low

  * back header files. (Closes: #349027)

 -- Cai Qian <caiqian@debian.org>  Fri, 20 Jan 2006 16:00:01 +0000	

gkrellm (2.2.7-6) unstable; urgency=low

  * gkrellmd.postinst: changed gkrellmd daemon priority, in order to wait
    hddtemp and mbmon. (Closes: #343505). 
  * contorl: rewrited packages' description and removed obsolete
    entries. Fixed xlibs-dev issue. (Closes: #346735)
    gkrellm and gkrellmd replace gkrellm-common.
  * rules: used debhelper v5 and dpatch.
  * README.Debian: 
  * gkrellmd.init.d: remove hard coded no_gkrellmd_on_boot.
  * dropped header files.

 -- Cai Qian <caiqian@debian.org>  Tue, 17 Jan 2006 13:00:01 +0000
	

gkrellm (2.2.7-5) unstable; urgency=low

  * Prevented gkrellm linked to libssl. (Closes: #337728)
	
 -- Cai Qian <caiqian@debian.org>  Mon, 8 Nov 2005 23:36:00 +0000
	

gkrellm (2.2.7-4) unstable; urgency=low

  * Changed "Architecture" for d4x-common to "all".

 -- Cai Qian <caiqian@debian.org>  Sat, 6 Nov 2005 03:10:00 +0000

gkrellm (2.2.7-3) unstable; urgency=low

  * New maintainer (Closes: #337525)
  * Build against libgnutls-dev (Closes: #335763, #322211)
  * gkrellmd depended on adduser
  * Added watch file.

 -- Cai Qian <caiqian@debian.org>  Sat, 5 Nov 2005 20:10:00 +0000

gkrellm (2.2.7-2) unstable; urgency=low

  * Honor DEB_BUILD_OPTIONS=nostrip (Closes: #260444) 
  * mailcheck config GUI changes to address issues raised
    in bug #290817 (Closes: #290817)

 -- Brian M. Almeida <bma@debian.org>  Tue, 14 Jun 2005 20:27:12 -0400

gkrellm (2.2.7-1) unstable; urgency=low

  * New upstream release 
  * Remove false build dependency on libgtop-dev (Closes: #313070)
  * Apply update to German translation (Closes: #314088)
  * Put actual copyright in copyright file (Closes: #290165)
  * Added note about hddtemp functionality in README.Debian (Closes: #296484)
  * Removed patches/gnutls_pthreads.patch, integrated upstream

 -- Brian M. Almeida <bma@debian.org>  Tue, 14 Jun 2005 19:49:34 -0400

gkrellm (2.2.5-1.3) unstable; urgency=high

  * Non-maintainer upload.
  * Updated the gnutls patch in order to avoid a crash when checking multiple
    mailboxes (thanks Philipp Hartmann), closes: #310471.

 -- Samuel Mimram <smimram@debian.org>  Tue, 24 May 2005 18:17:48 +0200

gkrellm (2.2.5-1.2) unstable; urgency=high

  * Non-maintainer upload.
  * Put back maintainer's changes to the source mistakenly removed.
  * Changed the build dependency from gdk-imlib-dev to gdk-imlib1-dev which is
    a real package.

 -- Samuel Mimram <smimram@debian.org>  Sun, 22 May 2005 19:05:19 +0200

gkrellm (2.2.5-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Added a patch to use libgnutls instead of libssl, closes: #309089.

 -- Samuel Mimram <smimram@debian.org>  Sat, 21 May 2005 16:20:33 +0200

gkrellm (2.2.5-1) unstable; urgency=low

  * New upstream release 

 -- Brian M. Almeida <bma@debian.org>  Tue, 22 Mar 2005 21:54:15 -0500

gkrellm (2.2.4-1) unstable; urgency=low

  * New upstream release 

 -- Brian M. Almeida <bma@debian.org>  Mon, 18 Oct 2004 10:30:12 -0400

gkrellm (2.2.2-3) unstable; urgency=low

  * Conflict with gkrellm-hddtemp (Closes: #263273) 
  * build-depend on libssl-dev (closes: #260166)

 -- Brian M. Almeida <bma@debian.org>  Fri,  6 Aug 2004 09:46:30 -0400

gkrellm (2.2.2-2) unstable; urgency=low

  * Provide gkrellm-hddtemp (Closes: #262709)

 -- Brian M. Almeida <bma@debian.org>  Sun,  1 Aug 2004 16:19:02 -0400

gkrellm (2.2.2-1) unstable; urgency=low

  * New upstream release 

 -- Brian M. Almeida <bma@debian.org>  Sat, 17 Jul 2004 11:34:10 -0400

gkrellm (2.2.1-1) unstable; urgency=low

  * New upstream release 
  * Include gkrellm.pc in gkrellm-common (closes: #253428)

 -- Brian M. Almeida <bma@debian.org>  Mon, 14 Jun 2004 21:08:36 -0400

gkrellm (2.2.0-1) unstable; urgency=low

  * New upstream release 
     - Now uses pango instead of GdkText to draw fonts, closes: #194692
  * Document how to launch console programs, closes: #230233
  * Zero out timer when going offline, closes: #221991

 -- Brian M. Almeida <bma@debian.org>  Sat, 15 May 2004 18:09:11 -0400

gkrellm (2.1.28-1) unstable; urgency=low

  * New upstream release, closes: #247097 

 -- Brian M. Almeida <bma@debian.org>  Mon,  3 May 2004 09:26:11 -0400

gkrellm (2.1.27-2) unstable; urgency=low

  * Update location of icon in gkrellm.menu, closes: #246829 

 -- Brian M. Almeida <bma@debian.org>  Sun,  2 May 2004 18:55:35 -0400

gkrellm (2.1.27-1) unstable; urgency=low

  * New upstream release 

 -- Brian M. Almeida <bma@debian.org>  Sat, 28 Feb 2004 18:07:24 -0500

gkrellm (2.1.26-1) unstable; urgency=low

  * New upstream release 

 -- Brian M. Almeida <bma@debian.org>  Fri, 27 Feb 2004 23:39:59 -0500

gkrellm (2.1.25-2) unstable; urgency=low


