=== debian/control ===
Source: gkrellm
Section: x11
Priority: optional
Maintainer: Cai Qian <caiqian@debian.org>
Standards-Version: 3.6.2
Build-Depends: gdk-imlib1-dev, libglib2.0-dev, libgtk2.0-dev, debhelper (>= 5), libsm-dev, x-dev, gettext, libgnutls-dev, dpatch (>= 2)

Package: gkrellm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: gkrellm-common
Conflicts: gkrellm-common (<= 2.2.7-5), gkrellmd (<= 2.2.7-8)
Replaces: gkrellm-common (<= 2.2.7-5)
Description: The GNU Krell Monitors
 With a single process, gkrellm manages multiple stacked monitors and supports
 applying themes to match the monitors appearance to your window manager, Gtk,
 or any other theme.

Package: gkrellmd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Conflicts: gkrellm-common (<= 2.2.7-5), gkrellm (<= 2.2.7-8)
Replaces: gkrellm-common (<= 2.2.7-5)
Description: The GNU Krell Monitors Server
 Gkrellmd Listens for connections from gkrellm clients. When a gkrellm client
 connects to a gkrellmd server all builtin monitors collect their data from the
 server.
