=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# Cai Qian <caiqian@debian.org>
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

NICE=21
XPMFILE=gkrellm.xpm
CONFILE=gkrellmd.conf
INSTALL=install -m 644 -o root -g root -D
PREFIX=/usr
CONDIR=/etc
XPMDIR=/usr/share/pixmaps
SRCDIR=debian/tmp
DESTDIR="$(CURDIR)/$(SRCDIR)"

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: patch build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	# Avoid broken LOCALEDIR
	$(MAKE) PREFIX=$(PREFIX) without-ssl=1 without-libsensors=1

	touch build-stamp

clean: clean-patched unpatch
clean-patched:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

patch: patch-stamp
patch-stamp:
	dpatch apply-all

	touch patch-stamp

unpatch:
	dpatch deapply-all
	rm -rf patch-stamp debian/patched

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	$(MAKE) install DESTDIR=$(DESTDIR) PREFIX=$(PREFIX)
	$(INSTALL) $(CURDIR)/debian/$(XPMFILE) $(DESTDIR)$(XPMDIR)/$(XPMFILE)
	$(INSTALL) $(CURDIR)/server/$(CONFILE) $(DESTDIR)$(CONDIR)/$(CONFILE)

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs Changelog
	dh_installdocs
#	dh_installexamples
	dh_install --sourcedir=$(SRCDIR)
	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_installinit -u"defaults $(NICE)"
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
